/*
 * LabelManager: 
 */

package org.dbc_works.lib.ui;

import java.io.IOException;
import java.util.Properties;
import java.util.WeakHashMap;

public abstract class LabelManager
{
	//
	// クラス属性
	//
	private static WeakHashMap propertiesMap = new WeakHashMap();

	//
	// クラスメソッド(実装)
	//

	// 指定リソースのプロパティセットを返す
	protected static Properties getProperties(
		String strResourceName)	// リソース名
	{
		Properties properties = null;
		if (propertiesMap.containsKey(strResourceName)) {
			properties = (Properties)propertiesMap.get(strResourceName);
		}
		else {
			try {
				properties = new Properties();
				properties.load(LabelManager.class.getResourceAsStream(strResourceName));
			}		
			catch (IOException exp) {
				// きちんとパッケージングすれば発生しない例外なので標準エラー出力に
				// 報告するだけにする
				System.err.println(exp.getMessage());
			}
		}
		return properties;
	}

	//
	// 構築子
	//

	protected LabelManager()
	{
	}
}
